Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: <updates <at> fedoraproject.org>
Subject: [SECURITY] Fedora 18 Update: polkit-0.107-6.fc18
Newsgroups: gmane.linux.redhat.fedora.package.announce
Date: Sunday 22nd September 2013 04:28:15 UTC (over 3 years ago)
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2013-17197
2013-09-20 02:24:58
--------------------------------------------------------------------------------

Name        : polkit
Product     : Fedora 18
Version     : 0.107
Release     : 6.fc18
URL         : http://www.freedesktop.org/wiki/Software/polkit
Summary     : polkit Authorization Framework
Description :
polkit is a toolkit for defining and handling authorizations.  It is
used for allowing unprivileged processes to speak to privileged
processes.

--------------------------------------------------------------------------------
Update Information:

This release fixes CVE-2013-4288: Race condition with process subjects that
do not have securely determined uid.

pkcheck(1) now supports a new format for the --process argument; all
applications need to use the new format to avoid a race condition (or use
--system-bus-name to identify the process instead).

Similarly, applications using the API should always use
polkit_unix_process_new_for_owner().  polkit_unix_process_new() and
polkit_unix_process_new_full() are unsafe and have been deprecated.

Thanks to Sebastian Krahmer of the SUSE Security Team for reporting this
issue.

--------------------------------------------------------------------------------
ChangeLog:

* Wed Sep 18 2013 Miloslav Trma─Ź  - 0.107-6
- Allow specifying an UID in the --process option of pkcheck(1)
  Resolves: #1009538, CVE-2013-4288
* Wed May 29 2013 Tomas Bzatek  0.107-5
- Fix a race on PolkitSubject type registration (#866718)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #1002375 - CVE-2013-4288 polkit: unix-process subject for
authorization is racy
        https://bugzilla.redhat.com/show_bug.cgi?id=1002375
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update polkit' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on
the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://admin.fedoraproject.org/mailman/listinfo/package-announce
 
CD: 3ms